<%@ page contentType="text/html;charset=UTF-8"%>
<%@ include file="/WEB-INF/views/admin/include/taglib.jsp"%>
<html>
<head>
	<title>${fns:getConfig('productName')}</title>
	<meta name="decorator" content="blank"/>
	<link rel="stylesheet" href="${ctxStatic}/jerichotab/css/jquery.jerichotab.css" />
	<script type="text/javascript" src="${ctxStatic}/jerichotab/js/jquery.jerichotab.js"></script>
	<script type="text/javascript" src="${ctxSite}/assets/js/jqueryui/jquery-ui.min.js"></script>
	<script type="text/javascript" src="${ctxSite}/assets/js/jquery/easyui/jquery.easyui.min.js"></script>
	<link type="text/css" rel="stylesheet" href="${ctxSite}/assets/js/jqueryui/jquery-ui.min.css" />
	<link type="text/css" rel="stylesheet" href="${ctxSite}/assets/js/jquery/easyui/themes/default/easyui.css"/>
	<style type="text/css">
		#main {padding:0;margin:0;} #main .container-fluid{padding:0 4px 0 6px;}
		#header {margin:0 0 8px;position:static;} #header li {font-size:14px;_font-size:12px;}
		#header .brand {font-family:Helvetica, Georgia, Arial, sans-serif, 黑体;font-size:26px;padding-left:33px;}
		#footer {margin:8px 0 0 0;padding:3px 0 0 0;font-size:11px;text-align:center;border-top:2px solid #0663A2;}
		#footer, #footer a {color:#999;} #left{overflow-x:hidden;overflow-y:auto;} #left .collapse{position:static;}
		#userControl>li>a{/*color:#fff;*/text-shadow:none;} #userControl>li>a:hover, #user #userControl>li.open>a{background:transparent;}
	</style>
	<script type="text/javascript">
		$(document).ready(function() {
			$.fn.initJerichoTab({
                renderTo: '#right', uniqueId: 'jerichotab',
                contentCss: { 'height': $('#right').height() - tabTitleHeight },
                tabs: [], loadOnce: true, tabWidth: 110, titleHeight: tabTitleHeight
            });
			$('#productName a').bind("focus",function() {
				if(this.blur) {this.blur()};
			});
			// 链接去掉虚框
			$('#menu-cms a').bind("focus",function() {
				if(this.blur) {this.blur()};
			});
         
			// 初始化点击第一个菜单
			$('#menu-cms .nav-list a:first i').click();
			// 鼠标移动到边界自动弹出左侧菜单
			$("#openClose").mouseover(function(){
				if($(this).hasClass("open")){
					$(this).click();
				}
			});
		});
	</script>
	<script>
function showMng() {
	$('.tandialog').css("display","block");
	 $('#passwordMngWin').dialog({
		href: '${ctx}/passwordMng',
		title: "密码修改"
	   }).dialog('open');
};
</script>
</head>
<!-- 后台管理系统的首页JSP -->
<body>
	<div id="main">
		<div id="header" class="navbar navbar-fixed-top">
			<div class="navbar-inner">
				<div class="brand"><span id="productName"><a class="navbar-link" href="${ctx}/main" style="text-decoration: none;">${fns:getConfig('productName')}</a></span></div>
				<ul id="userControl" class="nav pull-right">
					<li><a href="${ctxSite}" target="_blank" title="访问网站主页"><i class="icon-home"></i></a></li>
					<li id="userInfo" class="dropdown">
						<a class="dropdown-toggle" data-toggle="dropdown" href="#" title="个人信息">您好, <shiro:principal property="name" />&nbsp;<span id="notifyNum" class="label label-info hide"></span></a>
						<ul class="dropdown-menu">
							<%-- <li><a href="${ctx}/passwordMng" target="mainFrame"><i class="icon-lock"></i>&nbsp;  修改密码</a></li> --%>
							<li><a onclick="showMng()"><i class="icon-lock"></i>&nbsp;  修改密码</a></li>
						</ul>
					</li>
					<li><a href="${ctx}/exit" title="退出登录">退出</a></li>
					<li>&nbsp;</li>
				</ul>
			</div>
		</div>
		<div class="container-fluid">
			<div id="content" class="row-fluid">
				<div id="left">
					<div class="accordion" id="menu-cms">
						<div class="accordion-group">
							<div class="accordion-heading">
						    	<a class="accordion-toggle" data-toggle="collapse" data-parent="#menu-cms" data-href="#collapse-cms" href="#collapse-cms" title="内容管理">
						    	<i class="icon-chevron-down"></i>&nbsp;资讯管理</a>
						    </div>
						    <div id="collapse-cms" class="accordion-body collapse in">
						    	<div class="accordion-inner">
						    		<ul class="nav nav-list">
						    			<li class="menu-category"><a href="${ctx}/cms/category/list" target="mainFrame" ><i class="icon-align-justify"></i>&nbsp;栏目管理</a></li>
						    			<li class="menu-article"><a href="${ctx}/cms/article/list" target="mainFrame" ><i class="icon-briefcase icon-white"></i>&nbsp;内容管理</a></li>
						    		</ul>
						    	</div>
						    </div>
						</div>
					</div>
				</div>
				<div id="openClose" class="close">&nbsp;</div>
				<div id="right">
					<iframe id="mainFrame" name="mainFrame" src="" style="overflow:visible;" scrolling="yes" frameborder="no" width="100%" height="650"></iframe>
				</div>
				<!-- 20170113 add -->
					<div class="tandialog" style="display:none;">
						<!-- 弹窗 -->
						<div id="passwordMngWin" class="easyui-dialog" title="密码修改"
						style="width: 400px; height: 250px; z-index: 88888"
						data-options="modal:true,closed:true"></div>
					    <!-- /弹窗 -->
					</div>
			    <!-- 20170113 add end -->
			</div>
			<div id="footer" class="row-fluid">
				CopyRight 2016-2026 江苏省盐城市交通运输局 版权所有
			</div>
		</div>
	</div>
	<script type="text/javascript">
		var leftWidth = 160; // 左侧窗口大小
		var tabTitleHeight = 33; // 页签的高度
		var htmlObj = $("html"), mainObj = $("#main");
		var headerObj = $("#header"), footerObj = $("#footer");
		var frameObj = $("#left, #openClose, #right, #right iframe");
		function wSize(){
			var minHeight = 500, minWidth = 980;
			var strs = getWindowSize().toString().split(",");
			htmlObj.css({"overflow-x":strs[1] < minWidth ? "auto" : "hidden", "overflow-y":strs[0] < minHeight ? "auto" : "hidden"});
			mainObj.css("width",strs[1] < minWidth ? minWidth - 10 : "auto");
			frameObj.height((strs[0] < minHeight ? minHeight : strs[0]) - headerObj.height() - footerObj.height() - (strs[1] < minWidth ? 42 : 28));
			$("#openClose").height($("#openClose").height() - 5);
			$(".jericho_tab iframe").height($("#right").height() - tabTitleHeight);
			wSizeWidth();
		}
		function wSizeWidth(){
			if (!$("#openClose").is(":hidden")){
				var leftWidth = ($("#left").width() < 0 ? 0 : $("#left").width());
				$("#right").width($("#content").width()- leftWidth - $("#openClose").width() -5);
			}else{
				$("#right").width("100%");
			}
		}
		function openCloseClickCallBack(b){
			$.fn.jerichoTab.resize();
		}		
	</script>
	<script src="${ctxStatic}/common/wsize.min.js" type="text/javascript"></script>
</body>
</html>